Bug 825708 - Unable to disable F10 menu access key
Unable to disable F10 menu access key
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 05:18 EDT by Jan ONDREJ
Modified: 2013-07-31 23:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:58:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2012-05-28 05:18:04 EDT
Description of problem:
I have checked on "Disable menu acces key (F10 ...)" in roxterm, but menu is still displayed in Fedora 17 by pressing F10 and unable to for example quit mc with standard key.

Version-Release number of selected component (if applicable):
roxterm-2.2.2-2.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. run roxterm
2. edit preferences, disable F10 key in keyboard configuration
3. press F10
  
Actual results:
menu opened

Expected results:
send F10 to vte

Additional info:
Comment 1 Jan ONDREJ 2012-05-28 09:46:16 EDT
Possible additional bug. I have configured 25 rows height terminal, but it's always opening 26 rows height. After I chaned it to 24, it's 25 as I need, but still different height as defined in config.
Comment 2 Jan ONDREJ 2012-06-05 14:30:16 EDT
Upstream bugs:

https://sourceforge.net/tracker/?func=detail&aid=3424993&group_id=124080&atid=698428
https://bugzilla.gnome.org/show_bug.cgi?id=661973

Roxterm 2.6.4 passes F10 key to application, but still displays menu too. :-(
Comment 3 Christoph Wickert 2012-06-09 11:55:21 EDT
This is a GTK+ bug rather than a roxterm one.

You can work around it by adding the following to your ~/.gtkrc-2.0

binding "NoKeyboardNavigation" {
 unbind "F10"
}
class "*" binding "NoKeyboardNavigation"


Are you fine with moving this bug to GTK or do you think there is something that needs to be done in roxterm?
Comment 4 Jan ONDREJ 2012-06-09 12:17:03 EDT
(In reply to comment #3)
> This is a GTK+ bug rather than a roxterm one.
> 
> You can work around it by adding the following to your ~/.gtkrc-2.0
> 
> binding "NoKeyboardNavigation" {
>  unbind "F10"
> }
> class "*" binding "NoKeyboardNavigation"
> 
 
This workaround does not help me. Still same problem.

But this helps:

<home:pts0:~>$ cat ~/.config/gtk-3.0/gtk.css
@binding-set NoKeyboardNavigation {
    unbind "<shift>F10"
}

* {
    gtk-key-bindings: NoKeyboardNavigation
}

> Are you fine with moving this bug to GTK or do you think there is something
> that needs to be done in roxterm?

OK, changing component to gtk3.
Comment 5 Fedora End Of Life 2013-07-03 20:21:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 23:58:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.